## com.sun.grizzly.util
Class CallbackHandlerSelectionKeyAttachment

    java.lang.Object
      com.sun.grizzly.util.SelectionKeyAttachment
          com.sun.grizzly.util.SelectionKeyActionAttachment
              com.sun.grizzly.util.SelectionKeyAttachmentWrapper<CallbackHandler>
                  com.sun.grizzly.util.CallbackHandlerSelectionKeyAttachment

    public class CallbackHandlerSelectionKeyAttachment

extends SelectionKeyAttachmentWrapper<CallbackHandler>

`SelectionKey` attachment, which wraps `CallbackHandler`

Author:
  Alexey Stashok

Method Summary
`static CallbackHandlerSelectionKeyAttachment` `create(SelectionKey key, CallbackHandler callbackHandler)` Creates the `CallbackHandler` to the `SelectionKey` CallbackHandler will not be attached directly, but wrapped with `CallbackHandlerSelectionKeyAttachment`
`Long` `getTimeout()` Callback handler never should lead to the timeout situation, as connections could use it, but perform IO operations in sync.
`void` `release(SelectionKey selectionKey)`

Methods inherited from class com.sun.grizzly.util.SelectionKeyAttachmentWrapper
`getAttachment, postProcess, process, setAttachment`

Methods inherited from class com.sun.grizzly.util.SelectionKeyAttachment
`getAttachment, setTimeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static CallbackHandlerSelectionKeyAttachment create(SelectionKey key,
                                                               CallbackHandler callbackHandler)

  Creates the `CallbackHandler` to the `SelectionKey` CallbackHandler will not be attached directly, but wrapped with `CallbackHandlerSelectionKeyAttachment`

### release

    public void release(SelectionKey selectionKey)

  Overrides:
    `release` in class `SelectionKeyAttachmentWrapper<CallbackHandler>`

### getTimeout

    public Long getTimeout()

  Callback handler never should lead to the timeout situation, as connections could use it, but perform IO operations in sync. mode.

  Overrides:
    `getTimeout` in class `SelectionKeyAttachment`
  Returns:
    null

Copyright © 2008 SUN Microsystems. All Rights Reserved.